<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_950c864c3fc8d7c4db561eea71d" . "4aca9" => base64_decode("eWVhcg" . "=="), "_a8fa98c" . "95a8a496" . "939eaebf" . "ef66865b" . "4" => base64_decode("d2Vl" . "aw=="), "_e2ecb80cd1b605a951ad84d60" . "8101ac4" => base64_decode("bW" . "9u" . "dG" . "g="), "_0788425a8947" . "7a5f6ac1bd2ce" . "b434967" => base64_decode("RVJST1I6OiBVbmtub" . "3duIHBlcmlvZCAtIA" . "=="), "_07e0706709a15e" . "456d6664d499040" . "d73" => base64_decode("Yml3" . "ZWVr"));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a8fa98c95a8a4" . "96939eaebfef66" . "865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_07e0706709a15e456d6664d499040d7" . "3"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_e2ecb80c" . "d1b605a95" . "1ad84d608" . "101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_950c864c3fc8d7c4db561eea71d4ac" . "a9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0788425a89477a5f6" . "ac1bd2ceb434967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}